<?php
/**
 * BannerImageTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * BannerImageTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Тип изображения баннера:   * &#x60;desktop&#x60; - Десктоп   * &#x60;tablet&#x60; - Планшет   * &#x60;mobile&#x60; - Мобильный
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BannerImageTypeEnum
{
    /**
     * Possible values of this enum
     */
    const DESKTOP_IMAGE_TYPE = 'desktop';
    const TABLET_IMAGE_TYPE = 'tablet';
    const MOBILE_IMAGE_TYPE = 'mobile';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::DESKTOP_IMAGE_TYPE,
            self::TABLET_IMAGE_TYPE,
            self::MOBILE_IMAGE_TYPE,
        ];
    }
}


